<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>

        <script type="text/javascript">

            //Se pueden poner las funciones en cualquier parte siempre que sea dentro de un script
            //Podemos hacer uno exclusivo para meter todas las funciones
            function funcion1(){

                //Para acceder a un elemento del body con document y luego voy metiendo names y finalmenrte lo que quiero
                //Solo lo podemos usar con formularios, con un div por ejemplo no vale porque no se le puede poner name
                //Esta opción vale para todos los navegadores

                //nombre=document.formulario.cnombre.value;

                //Esta opción es más moderna en el parentesis metes el id
                nombre=document.querySelector("#inombre").value;

                //También podría usarse el name, pero es otro modo
                //
                //nombre=document.querySelector("[name=cnombre]").value;
                
                console.log(nombre);
            }

        </script>
        <script>

            let nombre = 'Tu Nombre'; //Variable local
            var a = 1;  //Variable global
            var b = 2;  //Variable global
            var c = 0;  //Variable global



            nombre=(prompt("Introduce tu nombre"));

            console.log(nombre);

            //document.querySelector("button").
            //addEventListener("click",function(){
            //});
            //Forma alternativa de llamar a eventos sin ponerlo dentro del código html
       
        </script>
        <form name="formulario">
        
        <!--Por accesibilidad mejor usar label for-->
        <!--En el for metemos el nombre del id, se podría name, pero mejor id por accesibilidad-->
        <!--El name se usa para llamarlo desde programas externos como Php-->


            <label for="inombre">Introduce tu nombre</label>
            <input type="text" name="cnombre"  placeholder="Escribe tu nombre" id="inombre">

        <!--También por accesibilidad mejor button type button que input type porque en uno el texto se escribe en medio y
            y en el otro hay que meterlo en el value y para acceder a él es más dificil-->

       <button type="button" onclick="funcion1()" >Leer</button>

       <!--la función se llama como nombre función y los paréntesis después. No llamar a función igual que a variables!!!-->



        </form>
       
    </body>
</html>
        
